## python-cotyledon 1.2.6

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=1.6
setproctitle

=== debian/changelog ===
python-cotyledon (1.2.6-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Using OpenStack's Gerrit as VCS URLs.

  [ Thomas Goirand ]
  * Fixed oslotest EPOCH.

 -- Thomas Goirand <zigo@debian.org>  Wed, 28 Sep 2016 10:09:06 +0200

python-cotyledon (1.2.6-2) unstable; urgency=medium

  * Added more copyright holders.

 -- Thomas Goirand <zigo@debian.org>  Fri, 22 Jul 2016 07:49:18 +0000

python-cotyledon (1.2.6-1) unstable; urgency=medium

  * Initial release. (Closes: #832033)

 -- Thomas Goirand <zigo@debian.org>  Thu, 21 Jul 2016 16:55:43 +0200

=== debian/control ===
Source: python-cotyledon
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools (>= 52~),
               python-all,
               python-pbr,
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr,
               python3-setuptools,
Build-Depends-Indep: python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1:1.10.0),
                     python-setproctitle,
                     python-testscenarios,
                     python-testtools (>= 1.4.0),
                     python3-oslotest (>= 1:1.10.0),
                     python3-setproctitle,
                     python3-subunit,
                     python3-testscenarios,
                     python3-testtools (>= 1.4.0),
                     subunit,
                     testrepository,
Standards-Version: 3.9.8
Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-cotyledon?h=debian%2Fnewton
Vcs-Git: https://git.openstack.org/openstack/deb-python-cotyledon -b debian/newton
Homepage: https://github.com/sileht/cotyledon

Package: python-cotyledon
Architecture: all
Depends: python-setproctitle,
         ${misc:Depends},
         ${python:Depends},
Suggests: python-cotyledon-doc,
Description: framework for defining long-running services - Python 2.7
 Cotyledon provides a framework for defining long-running services. It provides
 handling of Unix signals, spawning of workers, supervision of children
 processes, daemon reloading, sd-notify, rate limiting for worker spawning, and
 more.
 .
 This package contains the Python 2.7 module.

Package: python3-cotyledon
Architecture: all
Depends: python3-setproctitle,
         ${misc:Depends},
         ${python3:Depends},
Suggests: python-cotyledon-doc,
Description: framework for defining long-running services - Python 3.x
 Cotyledon provides a framework for defining long-running services. It provides
 handling of Unix signals, spawning of workers, supervision of children
 processes, daemon reloading, sd-notify, rate limiting for worker spawning, and
 more.
 .
 This package contains the Python 3.x module.

Package: python-cotyledon-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: framework for defining long-running services - doc
 Cotyledon provides a framework for defining long-running services. It provides
 handling of Unix signals, spawning of workers, supervision of children
 processes, daemon reloading, sd-notify, rate limiting for worker spawning, and
 more.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/sileht/cotyledon.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_install:
	pkgos-dh_auto_install
	rm $(CURDIR)/debian/python*-cotyledon/usr/bin/*cotyledon-example

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	set -x ; set -e ; for pyvers in 2.7 $(PYTHON3S); do \
		PYMAJOR=`echo $$pyvers | cut -d'.' -f1` ; \
		echo "===> Testing with python$$pyers (python$$PYMAJOR)" ; \
		rm -rf .testrepository ; \
		testr-python$$PYMAJOR init ; \
		TEMP_REZ=`mktemp -t` ; \
		PYTHONPATH=`pwd` PATH=$$PATH:`pwd`/debian/bin-py$$PYMAJOR PYTHON=python$$pyvers testr-python$$PYMAJOR run --subunit | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ; \
		testr-python$$PYMAJOR slowest ; \
		rm -rf .testrepository ; \
	done
endif


override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b html doc/source debian/python-cotyledon-doc/usr/share/doc/python-cotyledon-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-cotyledon 1.6.3

=== debian/changelog ===
python-cotyledon (1.6.3-0ubuntu1~cloud0) xenial-ocata; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 06 Dec 2016 19:54:25 +0000

python-cotyledon (1.6.3-0ubuntu1) zesty; urgency=medium

  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.
  * New upstream version.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 06 Dec 2016 12:57:18 -0500

## python-cotyledon 1.6.8

=== requirements.txt ===
--- 
+++ 
@@ -3,4 +3,4 @@
 # process, which may cause wedges in the gate later.
 
 pbr>=1.6
-setproctitle
+setproctitle; sys_platform != 'win32'

=== debian/changelog ===
python-cotyledon (1.6.8-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * Run tests using PYTHONPATH=$(CURDIR) (Closes: #898421).

 -- Thomas Goirand <zigo@debian.org>  Thu, 10 Jan 2019 10:10:31 +0100

python-cotyledon (1.6.8-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 29 Oct 2017 18:55:26 +0000

python-cotyledon (1.6.8-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Bumped debhelper compat version to 10

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Updating maintainer field.
  * Running wrap-and-sort -bast.
  * Updating standards version to 4.0.0.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Updating standards version to 4.0.1.
  * Updating standards version to 4.1.0.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Using pkgos-dh_auto_test.
  * Rebased privacy breach patch.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Oct 2017 15:53:23 +0200

=== debian/control ===
Source: python-cotyledon
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr,
 python-setuptools,
 python-sphinx,
 python3-all,
 python3-pbr,
 python3-setuptools,
Build-Depends-Indep:
 python-os-testr,
 python-oslo.config,
 python-oslosphinx,
 python-oslotest,
 python-setproctitle,
 python-sphinx-rtd-theme,
 python-testscenarios,
 python-testtools,
 python3-os-testr,
 python3-oslo.config,
 python3-oslotest,
 python3-setproctitle,
 python3-testscenarios,
 python3-testtools,
 subunit,
 testrepository,
Standards-Version: 4.1.0
Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-cotyledon
Vcs-Git: https://salsa.debian.org/openstack-team/python/python-cotyledon.git
Homepage: https://github.com/sileht/cotyledon

Package: python-cotyledon
Architecture: all
Depends:
 python-setproctitle,
 ${misc:Depends},
 ${python:Depends},
Suggests:
 python-cotyledon-doc,
Description: framework for defining long-running services - Python 2.7
 Cotyledon provides a framework for defining long-running services. It provides
 handling of Unix signals, spawning of workers, supervision of children
 processes, daemon reloading, sd-notify, rate limiting for worker spawning, and
 more.
 .
 This package contains the Python 2.7 module.

Package: python-cotyledon-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: framework for defining long-running services - doc
 Cotyledon provides a framework for defining long-running services. It provides
 handling of Unix signals, spawning of workers, supervision of children
 processes, daemon reloading, sd-notify, rate limiting for worker spawning, and
 more.
 .
 This package contains the documentation.

Package: python3-cotyledon
Architecture: all
Depends:
 python3-setproctitle,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-cotyledon-doc,
Description: framework for defining long-running services - Python 3.x
 Cotyledon provides a framework for defining long-running services. It provides
 handling of Unix signals, spawning of workers, supervision of children
 processes, daemon reloading, sd-notify, rate limiting for worker spawning, and
 more.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/sileht/cotyledon.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_install:
	pkgos-dh_auto_install
	#rm $(CURDIR)/debian/python*-cotyledon/usr/bin/*cotyledon-example

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR) pkgos-dh_auto_test 'cotyledon\.tests\.test_unit.*'
endif


override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b html doc/source debian/python-cotyledon-doc/usr/share/doc/python-cotyledon-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

## python-cotyledon 1.7.3

=== debian/changelog ===
python-cotyledon (1.7.3-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * Switch to pybuild (Closes: #1090476).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 11:31:08 +0100

python-cotyledon (1.7.3-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 18 Jul 2019 22:15:49 +0200

python-cotyledon (1.7.3-1) experimental; urgency=medium

  * New upstream release.
  * Removed Python 2 support.
  * Rebased remove-privacy-breach-in-doc.patch.
  * Add python3-setuptools-scm as build-depends.
  * Set SETUPTOOLS_SCM_PRETEND_VERSION in debian/rules.
  * Add sphinx-rtd-theme-common as build-depends.

 -- Thomas Goirand <zigo@debian.org>  Wed, 27 Mar 2019 23:50:27 +0100

=== debian/control ===
--- 
+++ 
@@ -5,53 +5,30 @@
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 10),
  dh-python,
- openstack-pkg-tools,
- python-all,
- python-pbr,
- python-setuptools,
- python-sphinx,
+ openstack-pkg-tools (>= 92~),
  python3-all,
  python3-pbr,
  python3-setuptools,
+ python3-setuptools-scm,
+ python3-sphinx,
+ sphinx-rtd-theme-common,
 Build-Depends-Indep:
- python-os-testr,
- python-oslo.config,
- python-oslosphinx,
- python-oslotest,
- python-setproctitle,
- python-sphinx-rtd-theme,
- python-testscenarios,
- python-testtools,
  python3-os-testr,
  python3-oslo.config,
+ python3-oslosphinx,
  python3-oslotest,
  python3-setproctitle,
+ python3-sphinx-rtd-theme,
  python3-testscenarios,
  python3-testtools,
  subunit,
  testrepository,
-Standards-Version: 4.1.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-cotyledon
 Vcs-Git: https://salsa.debian.org/openstack-team/python/python-cotyledon.git
 Homepage: https://github.com/sileht/cotyledon
-
-Package: python-cotyledon
-Architecture: all
-Depends:
- python-setproctitle,
- ${misc:Depends},
- ${python:Depends},
-Suggests:
- python-cotyledon-doc,
-Description: framework for defining long-running services - Python 2.7
- Cotyledon provides a framework for defining long-running services. It provides
- handling of Unix signals, spawning of workers, supervision of children
- processes, daemon reloading, sd-notify, rate limiting for worker spawning, and
- more.
- .
- This package contains the Python 2.7 module.
 
 Package: python-cotyledon-doc
 Section: doc

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/sileht/cotyledon.git
include /usr/share/openstack-pkg-tools/pkgos.make

export SETUPTOOLS_SCM_PRETEND_VERSION=$(shell dpkg-parsechangelog -SVersion | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/.0/' -e 's/+dfsg1//' | head -n 1)

%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build .stestr
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2 --in-tmp

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'cotyledon\.tests\.test_unit.*'
endif

override_dh_auto_test:
	echo "Do nothing..."

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	python3 -m sphinx -b html doc/source debian/python-cotyledon-doc/usr/share/doc/python-cotyledon-doc/html
	dh_sphinxdoc
endif

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/cotyledon/cotyledon-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-cotyledon 2.2.0

=== debian/changelog ===
python-cotyledon (2.2.0-2) experimental; urgency=medium

  * Add --ignore cotyledon/tests/test_functional.py when running tests.

 -- Thomas Goirand <zigo@debian.org>  Wed, 25 Feb 2026 10:04:43 +0100

python-cotyledon (2.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Add python3-oslo.config to depends.
  * Rebased remove-privacy-breach-in-doc.patch.
  * Add pybuild-plugin-pyproject to build-depends, as upstream switched to a
    pyproject.toml.
  * Let pybuild run build & install.
  * Switch to pytest.
  * Add interpreter-is-python3-not-python.patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 25 Feb 2026 09:15:56 +0100

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
  debhelper-compat (= 10),
  dh-python,
  openstack-pkg-tools (>= 92~),
+ pybuild-plugin-pyproject,
  python3-all,
  python3-pbr,
  python3-setuptools,
@@ -15,15 +16,15 @@
  python3-sphinx,
  sphinx-rtd-theme-common,
 Build-Depends-Indep:
- python3-os-testr,
  python3-oslo.config,
  python3-oslosphinx,
  python3-oslotest,
+ python3-pytest,
+ python3-pytest-xdist,
  python3-setproctitle,
  python3-sphinx-rtd-theme,
  python3-testscenarios,
  python3-testtools,
- subunit,
  testrepository,
 Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-cotyledon
@@ -47,6 +48,7 @@
 Package: python3-cotyledon
 Architecture: all
 Depends:
+ python3-oslo.config,
  python3-setproctitle,
  ${misc:Depends},
  ${python3:Depends},

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/sileht/cotyledon.git
include /usr/share/openstack-pkg-tools/pkgos.make

export PYBUILD_TEST_ARGS=-v -n auto cotyledon/tests --ignore cotyledon/tests/test_functional.py

export SETUPTOOLS_SCM_PRETEND_VERSION=$(shell dpkg-parsechangelog -SVersion | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/.0/' -e 's/+dfsg1//' | head -n 1)

%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build .stestr .pybuild cotyledon.egg-info
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	python3 -m sphinx -b html doc/source debian/python-cotyledon-doc/usr/share/doc/python-cotyledon-doc/html
	dh_sphinxdoc
endif
